All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class ToolbarButton

    com.sas.visuals.ToolbarButton

All Implemented Interfaces:
  ActionSource, CompositeInterface, ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.PublicClonable, ValidatorInterface, com.sas.ViewInterface, Alignment, MultipleValueEventSourceInterface, ResizeToFitInterface, java.awt.event.ActionListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.image.ImageObserver, java.awt.ItemSelectable, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

    public class ToolbarButton

ToggleButton is a sub-class of PushButton that creates a button that displays images. When the button is pressed an ActionEvent is sent to any listeners.
Notes:

- Uses IconInterface objects to paint images.( ImageView is a IconInterface object )
- Text can also be used on the ToolbarButton because it extends from PushButton.

See Also:
  `PushButton`, `ImageView`, Serialized Form

Field Summary

Fields inherited from class com.sas.visuals.PushButton
`contentShift, label, RB_KEY`

Fields inherited from class com.sas.visuals.BaseButton
`actionCommand, actionListenerList, borderPainted, BOTTOM, buttonListener, buttonModel, currentInsets, defaultIcon, disabledIcon, displayTransform, focusGap, focusPainted, gap, hasFocus, horizontalAlignment, horizontalTextAlignment, item, itemListenerList, LEFT, pressedIcon, resizeToFit, RIGHT, rolloverIcon, selectedIcon, text, textPosition, TOP, updateItem, updateText, verticalAlignment, verticalTextAlignment`

Fields inherited from interface com.sas.visuals.Alignment
`BEGIN, CENTER, END`

Constructor Summary
`ToolbarButton()` Default constructor.
`ToolbarButton(com.sas.visuals.IconInterface defaultImg)` Constructor that sets the default Icon for display.

Method Summary
`static int` | `getDefaultHeight()` Returns the default height in pixels
`static int` | `getDefaultWidth()` Returns the default width in pixels
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns information used by the `com.sas.beans.Introspector` to augment the automatically introspected information about this ToolbarButton.
`static void` | `setDefaultHeight(int newHeight)` Sets the default height in pixels
`static void` | `setDefaultWidth(int newWidth)` Sets the default widthin pixels

Methods inherited from class com.sas.visuals.PushButton
`buttonModelArmed, buttonModelPressed, clone, contentShift, getContentShift, getMinimumSize, getSource, paint, paintBackground, paintFocus, setContentShift, setFont, setHorizontalTextAlignment, setSource, setText, setVerticalTextAlignment`

Methods inherited from class com.sas.visuals.BaseButton
`actionPerformed, addActionListener, addItemListener, addNotify, buttonModelDisabled, buttonModelRollover, buttonModelSelected, computePreferredSize, detachModel, focusGained, focusLost, getActionCommand, getButtonListener, getButtonModel, getContentSize, getDefaultIcon, getDisabledIcon, getDisplayTransform, getFocusGap, getHorizontalAlignment, getHorizontalTextAlignment, getIconTextGap, getInsets, getItem, getKeyAccelerator, getPressedIcon, getRequiredInterfaces, getRolloverIcon, getSelectedIcon, getSelectedObjects, getText, getTextPosition, getVerticalAlignment, getVerticalTextAlignment, isBorderPainted, isFocusPainted, isFocusTraversable, isResizeToFit, isSelected, itemStateChanged, processActionEvent, processEvent, processItemEvent, propertyChange, refresh, refreshItem, removeActionListener, removeItemListener, resizeToFit, setActionCommand, setBorderPainted, setBounds, setButtonListener, setButtonModel, setDefaultIcon, setDefaultValues, setDisabledIcon, setDisplayTransform, setEnabled, setFocusGap, setFocusPainted, setHorizontalAlignment, setIconTextGap, setInsets, setItem, setKeyAccelerator, setPressedIcon, setResizeToFit, setRolloverIcon, setSelected, setSelectedIcon, setTextPosition, setVerticalAlignment`

Methods inherited from class com.sas.awt.ContainerContainerComponent
`dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.ContainerVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, print, printFinalize, printInitialize, queryLinks, queryLinks, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setComponentDescription, setComponentSupportInfo, setFocus, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setFocus, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Constructor Detail

### ToolbarButton

    public ToolbarButton()

  Default constructor.

### ToolbarButton

    public ToolbarButton(com.sas.visuals.IconInterface defaultImg)

  Constructor that sets the default Icon for display.

  Parameters:
    `defaultImg` - the default IconInterface

Method Detail

### getDefaultHeight

    public static int getDefaultHeight()

  Returns the default height in pixels

  Returns:
    pixel value of the default height
  See Also:
    `setDefaultHeight(int)`

### getDefaultWidth

    public static int getDefaultWidth()

  Returns the default width in pixels

  Returns:
    pixel value of default width
  See Also:
    `setDefaultWidth(int)`

### setDefaultHeight

    public static void setDefaultHeight(int newHeight)

  Sets the default height in pixels

  Parameters:
    `newHeight` - the desired default height in pixels
  See Also:
    `getDefaultHeight()`

### setDefaultWidth

    public static void setDefaultWidth(int newWidth)

  Sets the default widthin pixels

  Parameters:
    `newWidth` - the desired default width in pixels
  See Also:
    `setDefaultWidth(int)`

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns information used by the `com.sas.beans.Introspector` to augment the automatically introspected information about this ToolbarButton.

  Returns:
    the ExtendedBeanInfo for this class

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.